import VueRouter from 'vue-router'

import Home from './views/Home'
import Guide from './views/Guide'
import Issues from './views/Issues'

const routes = [
  {path: '/:locale?', component: Home, props: true,},
  {
    path: '/:locale?/guides/:slug',
    name: 'guide',
    props: true,
    component: Guide,
  },
  {
    path: '/:locale?/tasks',
    name: 'tasks',
    props: true,
    component: Issues,
  }
]
export default new VueRouter({
  routes,
  mode: 'history',
  scrollBehavior (to, from) {
    if (to.path === from.path) {
      // only anchor changed, we don't do anything
      return
    }
    return { x: 0, y: 0 }
  }
})
