const locales = require("./src/locales");
const path = require("path");
const PrerenderSPAPlugin = require("prerender-spa-plugin");

module.exports = {
  chainWebpack: (config) => {
    config.plugins.delete('prefetch');
  },
  configureWebpack: () => {
    if (process.env.NODE_ENV !== "production") return;
    let baseRoutes = [
      "/",
      '/guides/become-backer',
      '/guides/talk-about-funkwhale',
      "/guides/share-feedback",
      "/guides/join-discussion",
      '/guides/loomio-account',
      '/guides/translate',
      '/guides/gitlab-account',
      '/guides/report-a-bug',
      '/guides/request-a-feature',
    ];
    let finalRoutes = [];
    baseRoutes.forEach(p => {
      finalRoutes.push(p);
      locales.locales.forEach(l => {
        finalRoutes.push("/" + l.code + p);
      });
    });
    return {
      plugins: [
        new PrerenderSPAPlugin(
          // Absolute path to compiled SPA
          path.resolve(__dirname, "dist"),
          // List of routes to prerender
          finalRoutes,
          {
            // options
          }
        )
      ]
    };
  }
};
